List Evaluations
curl --request GET \
--url https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/libraries/{library_id}/evaluations \
--header 'Authorization: Bearer <token>'import requests
url = "https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/libraries/{library_id}/evaluations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/libraries/{library_id}/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluations": [
{
"id": "<string>",
"tenant_id": "<string>",
"library_id": "<string>",
"name": "<string>",
"created_by": "<string>",
"document_ids": [
"<string>"
],
"status": "<string>",
"total_documents": 123,
"processed_documents": 123,
"failed_documents": 123,
"created_at": "<string>",
"expire_at": "<string>",
"llm_model": "<string>",
"overall_accuracy": 123,
"field_accuracies": {},
"fully_correct_document_ratio": 123,
"total_cost": 123,
"average_cost_per_document": 123
}
],
"next_page_token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}metadata_evaluation
List Evaluations
List evaluations for a library.
GET
/
assistant
/
api
/
v1
/
tenants
/
{tenant}
/
libraries
/
{library_id}
/
evaluations
List Evaluations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the library
The domain of the customer
Example:
"example.com"